## sumwars 0.5.8

=== CMakeLists.txt ===
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 2.6)
project(sumwars)

MESSAGE(STATUS "")
MESSAGE(STATUS "### Welcome to Summoning Wars build system ###")
MESSAGE(STATUS "**********************************************")
MESSAGE(STATUS "  http://sumwars.org/wiki/Build_instructions  ")
MESSAGE(STATUS "")

OPTION(SUMWARS_NO_TINYXML "Do not use bundled, in-source TinyXML Lib" OFF)
OPTION(SUMWARS_NO_ENET "Do not use bundled, in-source ENET Lib" OFF)
OPTION(SUMWARS_BUILD_TOOLS "Builds editor tools (not needed for gameplay, only useful for content authors)" OFF)
OPTION(SUMWARS_BUILD_WITH_ONLINE_SERVICE "Builds enables the online services)" OFF)
OPTION(SUMWARS_UPDATE_HG_REVISION "Option to enable or disable automatic revision checking" ON)
IF(WIN32)
  OPTION(SUMWARS_POST_BUILD_COPY "After a build, copy the executable to the project folder (Win32)" ON)
  OPTION(SUMWARS_STANDALONE_MODE "(Highly recommended for deployment on Windows and MacOSX) In case this is enabled, all paths (share, doc, bin, plugins) are set to be relative" ON)
  OPTION(SUMWARS_PORTABLE_MODE "In case this is enabled, save files and config files are kept in application directory instead of home folders / user folders. On Windows this also means that all dynamic libraries will be relative to the executable" ON)
ELSE(WIN32)
  OPTION(SUMWARS_POST_BUILD_COPY "After a build, copy the executable to the project folder (Win32)" OFF)
  OPTION(SUMWARS_STANDALONE_MODE "(Highly recommended for deployment on Windows and MacOSX) In case this is enabled, all paths (share, doc, bin, plugins) are set to be relative" OFF)
  OPTION(SUMWARS_PORTABLE_MODE "In case this is enabled, save files and config files are kept in application directory instead of home folders / user folders. On Windows this also means that all dynamic libraries will be relative to the executable" OFF)
ENDIF(WIN32)
OPTION(SUMWARS_RANDOM_REGIONS "Regions are randomized if enabled. All regions are always the same if you leave this disabled (useful for developers)." ON)
OPTION(SUMWARS_USE_BREAKPAD "Use Google Breakpad for error reporting" OFF)

IF(SUMWARS_UPDATE_HG_REVISION)
    FIND_PROGRAM(Mercurial_EXECUTABLE hg)

    SET(Project_WC_REVISION "unknown")

    IF(Mercurial_EXECUTABLE)
        EXECUTE_PROCESS(WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
                        COMMAND ${Mercurial_EXECUTABLE} log -l 1 --template "{node|short}"
                        OUTPUT_VARIABLE Project_WC_REVISION
        )
    ENDIF()
ENDIF()

SET(SUMWARS_VERSION_MAJOR "0")
SET(SUMWARS_VERSION_MINOR "5")
SET(SUMWARS_VERSION_PATCH "8")
SET(SUMWARS_VERSION_REVISION ${Project_WC_REVISION})
SET(SUMWARS_SHORT_VERSION "${SUMWARS_VERSION_MAJOR}.${SUMWARS_VERSION_MINOR}.${SUMWARS_VERSION_PATCH}")
SET(SUMWARS_VERSION "${SUMWARS_SHORT_VERSION}.hg-${SUMWARS_VERSION_REVISION}")
CONFIGURE_FILE("src/version.h.in" "src/version.h")

MESSAGE(STATUS "Version: ${SUMWARS_VERSION}")
MESSAGE(STATUS "Short Version: ${SUMWARS_SHORT_VERSION}")

if(UNIX)
  set(SUMWARS_EXECUTABLE_DEFAULT_DIR "bin")
else()
  set(SUMWARS_EXECUTABLE_DEFAULT_DIR "")
endif()

SET(SUMWARS_EXECUTABLE_DIR "${SUMWARS_EXECUTABLE_DEFAULT_DIR}" CACHE STRING "Path that represents the directory with sumwars executable, CMAKE_INSTALL_PREFIX gets prepended! (Only applies when SUMWARS_STANDALONE_MODE is OFF)")

if(UNIX)
  set(SUMWARS_SHARE_DEFAULT_DIR "share/sumwars")
else()
  set(SUMWARS_SHARE_DEFAULT_DIR "share")
endif()

SET(SUMWARS_SHARE_DIR "${SUMWARS_SHARE_DEFAULT_DIR}" CACHE STRING "Path that represents the directory with sumwars data, CMAKE_INSTALL_PREFIX gets prepended! (Only applies when SUMWARS_STANDALONE_MODE is OFF)")

if(UNIX)
  set(SUMWARS_DOC_DEFAULT_DIR "share/doc/sumwars-${SUMWARS_SHORT_VERSION}")
else()
  set(SUMWARS_DOC_DEFAULT_DIR "doc")
endif()

SET(SUMWARS_DOC_DIR "${SUMWARS_DOC_DEFAULT_DIR}" CACHE STRING "Path that represents the directory with sumwars documentation, CMAKE_INSTALL_PREFIX gets prepended! (Only applies when SUMWARS_STANDALONE_MODE is OFF)")

set(SUMWARS_LANGUAGES_DEFAULT "*")
SET(SUMWARS_LANGUAGES "${SUMWARS_LANGUAGES_DEFAULT}" CACHE STRING "Language codes of the translations which will be copied upon 
install ('*' matches all available translations).")

IF( NOT SUMWARS_LANGUAGES )
  set(SUMWARS_LANGUAGES ${SUMWARS_LANGUAGES_DEFAULT})
ENDIF()

IF( NOT CMAKE_BUILD_TYPE )
  # CMake defaults to leaving CMAKE_BUILD_TYPE empty. This screws up
  # differentiation between debug and release builds.

  SET( CMAKE_BUILD_TYPE "RelWithDebInfo" )
ENDIF()

MESSAGE(STATUS "Build type: ${CMAKE_BUILD_TYPE}")
# separating newline before configuration really happens
MESSAGE(STATUS "")

IF( SUMWARS_STANDALONE_MODE )
  MESSAGE("Standalone mode enabled, I am overriding all paths!")
  
  # In case of a standalone mode, we override all paths to our hardcoded, arbitrarily chosen values.
  # There is no point in making these customisable, I think.
  
  #SET(CMAKE_INSTALL_PREFIX "./")
  SET(SUMWARS_PREFIX "./")
  
  SET(SUMWARS_EXECUTABLE_DIR "./")
  SET(SUMWARS_SHARE_DIR "./share")
  SET(SUMWARS_DOC_DIR "./")
  
  # We recommend enable post build copy since that will make it run immediately after building
  IF ( NOT SUMWARS_POST_BUILD_COPY )
    MESSAGE(STATUS "You might be interested in turning SUMWARS_POST_BUILD_COPY ON to make sumwars run immediately after building from the source folder.")
  ENDIF()
  
  MESSAGE(STATUS "")
ELSE()
  SET(SUMWARS_PREFIX ${CMAKE_INSTALL_PREFIX})
ENDIF()

SET(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/CMakeModules/;${CMAKE_MODULE_PATH}")

IF(WIN32)
  SET(CMAKE_MODULE_PATH "$ENV{OGRE_HOME}/CMake/;${CMAKE_MODULE_PATH}")
ENDIF(WIN32)

IF(UNIX)
  SET(CMAKE_MODULE_PATH "/usr/local/lib/OGRE/cmake/;${CMAKE_MODULE_PATH}")
ENDIF(UNIX)

SET(CMAKE_DEBUG_POSTFIX "_d")

if(NOT CMAKE_INSTALL_PREFIX)
  set(CMAKE_INSTALL_PREFIX "${CMAKE_CURRENT_BINARY_DIR}/dist")
endif()

FIND_PACKAGE(OGRE REQUIRED)

IF("${OGRE_VERSION_NAME}" STREQUAL "Cthugha")
  set(SUMWARS_OGRE_SINGLETON "ms_Singleton")
ELSEIF("${OGRE_VERSION_NAME}" STREQUAL "Ghadamon")
  set(SUMWARS_OGRE_SINGLETON "msSingleton")
ELSE()
  set(SUMWARS_OGRE_SINGLETON "msSingleton")
ENDIF()

SET(SUMWARS_OGRE_PLUGIN_DIR_REL ${OGRE_PLUGIN_DIR_REL}) 
SET(SUMWARS_OGRE_PLUGIN_DIR_DBG ${OGRE_PLUGIN_DIR_DBG}) 

IF("${OGRE_PLUGIN_DIR_REL}" STREQUAL "")
  MESSAGE(WARNING "Ogre plugin dir not found! plugins.cfg may have to be adjusted manually!")
ENDIF()

IF( WIN32 )# On Windows the plugins are distributed with the executable.
  IF( SUMWARS_PORTABLE_MODE OR SUMWARS_STANDALONE_MODE)
    SET(SUMWARS_OGRE_PLUGIN_DIR_REL "./") 
	SET(SUMWARS_OGRE_PLUGIN_DIR_DBG "./") 
  ENDIF()
ENDIF()



# add our build include directory
include_directories(
    "${CMAKE_CURRENT_BINARY_DIR}/src"
    "${CMAKE_CURRENT_BINARY_DIR}/src/gui"
)

IF (WIN32)
 FIND_PACKAGE(GNUWIN REQUIRED)
ENDIF (WIN32)
FIND_PACKAGE(OIS REQUIRED)
FIND_PACKAGE(Lua REQUIRED)
FIND_PACKAGE(CEGUI REQUIRED)
SET(CEGUI_VERSION_RESOURCES "gui_0.8")

IF(CEGUI_VERSION VERSION_LESS "0.8.0")
	MESSAGE(FATAL_ERROR "This version of Sumwars requires at least CEGUI 0.8.0")
ENDIF()

FIND_PACKAGE(CEGUIOGRE REQUIRED)
FIND_PACKAGE(OpenAL REQUIRED)
FIND_PACKAGE(ALUT REQUIRED)
FIND_PACKAGE(Ogg REQUIRED)
FIND_PACKAGE(Vorbis REQUIRED)
FIND_PACKAGE(PhysFS REQUIRED)
FIND_PACKAGE(Threads REQUIRED)

if(WIN32)
  set(Boost_USE_STATIC_LIBS ON)
endif(WIN32)
#set(Boost_DEBUG 1) #uncomment this if you have problems finding boost!

find_package(Boost COMPONENTS filesystem system date_time chrono thread REQUIRED)

IF(SUMWARS_NO_TINYXML)
  FIND_PACKAGE(TinyXML REQUIRED)
ENDIF()
IF(SUMWARS_NO_ENET)
  FIND_PACKAGE(Enet REQUIRED)
ENDIF()

IF (UNIX AND NOT APPLE)
  FIND_PACKAGE(X11 REQUIRED)
ENDIF()

IF(SUMWARS_USE_BREAKPAD)
  FIND_PACKAGE(GoogleBreakpad REQUIRED)
ENDIF()

INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/src/core)
INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/src/gui)
INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/src/gui/contenteditor)
INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/src/gussound)
ADD_DEFINITIONS(-DGUSSOUND_STANDALONE)
INCLUDE_DIRECTORIES(${OGRE_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${OGRE_RTShaderSystem_INCLUDE_DIR})
IF (WIN32)
  Message(STATUS "Adding boost include: ${BoostOGRE_INCLUDE_DIR}")
  INCLUDE_DIRECTORIES(${BoostOGRE_INCLUDE_DIR})
  Message(STATUS "Adding gnu include: ${GNUWIN_INCLUDE_DIR}")
  INCLUDE_DIRECTORIES(${GNUWIN_INCLUDE_DIR})
ENDIF (WIN32)
INCLUDE_DIRECTORIES(${OIS_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${LUA_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${CEGUI_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${CEGUIOGRE_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${OPENAL_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${ALUT_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${OGG_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${VORBIS_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${PHYSFS_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})

IF(SUMWARS_NO_TINYXML)
  INCLUDE_DIRECTORIES(${TINYXML_INCLUDE_DIR})
ELSE()
  INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/src/tinyxml)
ENDIF()
IF(SUMWARS_NO_ENET)
  INCLUDE_DIRECTORIES(${ENET_INCLUDE_DIR})
ELSE()
  INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/src/enet/include)
ENDIF()
IF(SUMWARS_BUILD_TOOLS OR SUMWARS_BUILD_WITH_ONLINE_SERVICE)
  IF(SUMWARS_BUILD_TOOLS)
    INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/src/gui/debugpanel)
    INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/src/gui/debugpanel/filebrowser)
  ENDIF()
  IF(SUMWARS_BUILD_WITH_ONLINE_SERVICE)
    #cpp-netlib for the http client
    find_package( OpenSSL )
    add_subdirectory(src/cpp-netlib)
    INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/src/cpp-netlib/)
    set(CPPNETLIB_LIBS cppnetlib-client-connections cppnetlib-server-parsers cppnetlib-uri)
  ENDIF()
ENDIF()

IF(SUMWARS_USE_BREAKPAD)
  INCLUDE_DIRECTORIES(${BREAKPAD_INCLUDE_DIR}/src)
ENDIF()

IF(WIN32)
  INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/Dependencies/dirent)
  INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/Dependencies/boost)
  INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/Dependencies/gettext/include/)
  ADD_DEFINITIONS( "/W3 /D_CRT_SECURE_NO_WARNINGS /wd4800 /wd4244 /wd4305 /wd4251 /nologo" )
  MESSAGE("WARNING: Compiler warnings 4800, 4244, 4251 and 4305 disabled!")
ELSE()
  INCLUDE_DIRECTORIES(${PTHREADS_INCLUDE_DIR})
ENDIF()

IF(UNIX AND NOT APPLE)
  INCLUDE_DIRECTORIES(${X11_X11_INCLUDE_PATH})
  INCLUDE_DIRECTORIES(${X11_Xrandr_INCLUDE_PATH})
ENDIF()

FILE(READ ${CMAKE_CURRENT_SOURCE_DIR}/AUTHORS SUMWARS_AUTHORS_CONTENT)
STRING(REPLACE \n \\n SUMWARS_AUTHORS_CONTENT "${SUMWARS_AUTHORS_CONTENT}")

CONFIGURE_FILE("src/config.h.in" "src/config.h")
CONFIGURE_FILE("src/gui/default_resources.cfg.inc.in" "src/gui/default_resources.cfg.inc" @ONLY)
CONFIGURE_FILE("src/gui/creditswindow_content.inc.in" "src/gui/creditswindow_content.inc")

FILE(GLOB_RECURSE HEADER_FILES ${CMAKE_CURRENT_SOURCE_DIR}/src/*.h)

IF(SUMWARS_NO_TINYXML)
  SET(SRCS_TINYXML "")
ELSE()
  SET(SRCS_TINYXML
    ./src/tinyxml/tinystr.cpp
    ./src/tinyxml/tinystr.h
    ./src/tinyxml/tinyxmlerror.cpp
    ./src/tinyxml/tinyxml.cpp
    ./src/tinyxml/tinyxml.h
    ./src/tinyxml/tinyxmlparser.cpp)
ENDIF()

IF(SUMWARS_NO_ENET)
  SET(SRCS_ENET "")
ELSE()
  SET(SRCS_ENET
    ./src/enet/callbacks.c
    ./src/enet/compress.c
    ./src/enet/host.c
    ./src/enet/list.c
    ./src/enet/packet.c
    ./src/enet/peer.c
    ./src/enet/protocol.c
    ./src/enet/unix.c
    ./src/enet/win32.c
    ./src/enet/include/enet/callbacks.h
    ./src/enet/include/enet/enet.h

=== doc/doxygen/Makefile ===
#Statt diesem Makefile koennen Sie auch das im uebergeordneten Verzeichnis benutzen. Es bietet neben diesen noch weitere Optionen...
#Browser um die Doku anzuzeigen, bei Verwendung des uebergeordneten Makefiles wird diese Einstellung uebergangen
BROWSER = firefox
doc_html:
	doxygen Doxyfile_html > "doxyoutput.log"
doc_pdf:
	doxygen Doxyfile_latex > "doxyoutput.log"
	$(MAKE) -C latex >> "doxywarn.log"
view:
	doxygen
	$(BROWSER) file://`pwd`/html/index.html &
clean :
	rm -f -r html latex man
	rm -f doxyoutput.log doxywarn.log

=== src/cpp-netlib/CMakeLists.txt ===
#            Copyright (c) Dean Michael Berris 2010.
# Distributed under the Boost Software License, Version 1.0.
#    (See accompanying file LICENSE_1_0.txt or copy at
#          http://www.boost.org/LICENSE_1_0.txt)

cmake_minimum_required(VERSION 2.8)
project(CPP-NETLIB)
set(Boost_USE_MULTI_THREADED ON)
find_package( Boost REQUIRED COMPONENTS unit_test_framework system regex date_time thread filesystem program_options )

find_package( OpenSSL )
find_package( Threads )
set(CMAKE_VERBOSE_MAKEFILE true)

if (CMAKE_BUILD_TYPE MATCHES Debug)
    add_definitions(-DBOOST_NETWORK_DEBUG)
endif()

if (OPENSSL_FOUND)
    add_definitions(-DBOOST_NETWORK_ENABLE_HTTPS)
endif()

if (Boost_FOUND)
    if (MSVC)
      add_definitions(-D_SCL_SECURE_NO_WARNINGS)
    endif(MSVC)
    if (WIN32)
      add_definitions(-D_WIN32_WINNT=0x0501)
    endif(WIN32)
    include_directories(${Boost_INCLUDE_DIRS})
    enable_testing()
    add_subdirectory(libs/network/src)
    #add_subdirectory(libs/network/test)
    if (NOT MSVC)
      #add_subdirectory(libs/mime/test)
    endif(NOT MSVC)
    #add_subdirectory(libs/network/example)
endif(Boost_FOUND)

=== tools/graphicengine/Makefile ===
DEFINES = -DDEBUG_LEVEL=5
LIBS = OGRE OIS freealut openal
CXX = g++
CXXFLAGS = -g $(shell pkg-config --cflags $(LIBS)) $(DEFINES) -c -I../../src/gui -I../../src/core -I../../src/tinyxml
LD = g++
LDFLAGS = $(shell pkg-config --libs $(LIBS))
OBS = sumwarsframelistener.o main.o ../../src/gui/graphicobject.o ../../src/gui/graphicmanager.o ../../src/gui/graphicobjectrenderinfo.o ../../src/gui/sound.o tinyxml.o tinyxmlparser.o tinyxmlerror.o tinystr.o ../../src/core/elementattrib.o ../../src/core/logger.o

.SUFFIXES:
.SUFFIXES: .cpp .o

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $< -o $@

all : $(OBS)
	$(CXX) $(LDFLAGS) $(OBS) -o graphicengine

clean:
	rm -f graphicengine $(OBS)

=== tools/meshtest/Makefile ===
DEFINES =
LIBS = OGRE OIS
CXX = g++
CXXFLAGS = $(shell pkg-config --cflags $(LIBS)) $(DEFINES) -c
LD = g++
LDFLAGS = $(shell pkg-config --libs $(LIBS))

all:
	$(CXX) $(CXXFLAGS)  -o sumwarsframelistener.o sumwarsframelistener.cpp
	$(CXX) $(CXXFLAGS)  -o main.o main.cpp	
	$(CXX) $(LDFLAGS) -o meshtest main.o sumwarsframelistener.o

clean:
	rm -f meshtest main.o sumwarsframelistener.o main.o

=== share/translation/extract/Makefile ===
# executable file for project
BIN=extract

# flags (c-compiler)
CFLAGS=-Wall

# flags (c++-compiler)
CXXFLAGS=-Wall -std=c++0x

# libs (linker)
LDLIBS=-lPocoFoundation -lPocoXML

OBJ=extract.o

all: default

default: link

link: compile
	$(CXX) $(CXXFLAGS) -o $(BIN) $(OBJ) $(LDLIBS)
	
compile: $(OBJ)

%.o: %.c
	$(CC) $(CFLAGS) -o $@ -c $<

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -o $@ -c $<
	
run: link
	./$(BIN)

clean:
	rm -f *.o $(BIN)

=== share/translation/xmlgettext/Makefile ===
# executable file for project
RUN = xmlgettext

# flags (c-compiler)
CFLAGS =

# flags (c++-compiler)
CXXFLAGS = -Wall -I./src

# libs (linker)
LDLIBS =

# object files
OBJS = $(shell cat ./Makefile.objs )



build: compile $(RUN)

compile: $(OBJS)

$(RUN): compile
	$(CXX) $(CXXFLAGS) -o $(RUN) $(OBJS) $(LDLIBS)

%.o: %.c
	$(CC) $(CFLAGS) -o $@ -c $<

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -o $@ -c $<

run: $(RUN)
	./$(RUN)

clean:
	rm -f $(OBJS)

=== src/cpp-netlib/libs/network/src/CMakeLists.txt ===
# Copyright (c) Glyn Matthews 2011.
# Copyright 2011 Dean Michael Berris (dberris@google.com)
# Copyright 2011 Google, Inc.
# Distributed under the Boost Software License, Version 1.0.
#    (See accompanying file LICENSE_1_0.txt or copy at
#          http://www.boost.org/LICENSE_1_0.txt)


include_directories(${CPP-NETLIB_SOURCE_DIR})

set(CPP-NETLIB_URI_SRCS uri/uri.cpp uri/schemes.cpp)
add_library(cppnetlib-uri ${CPP-NETLIB_URI_SRCS})

set(CPP-NETLIB_HTTP_SERVER_SRCS server_request_parsers_impl.cpp)
add_library(cppnetlib-server-parsers ${CPP-NETLIB_HTTP_SERVER_SRCS})

set(CPP-NETLIB_HTTP_CLIENT_SRCS client.cpp)
add_library(cppnetlib-client-connections ${CPP-NETLIB_HTTP_CLIENT_SRCS})

=== debian/changelog ===
sumwars (0.5.8-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Purtell <mandbx@sbcglobal.net>  Tue, 27 Oct 2015 19:54:55 -0700

sumwars (0.5.8-1~getdeb3~wily) wily; urgency=medium

  * Rebuild for wily

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 21 Oct 2015 22:30:43 +0200

sumwars (0.5.8-1~getdeb2~trusty) trusty; urgency=medium

  * Rebuild for trusty

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 07 Feb 2015 16:59:13 +0100

sumwars (0.5.8-1~getdeb1) utopic; urgency=medium

  * New upstream version (LP: #1406948)
    * Scripting:
    - added support for Lua 5.2

    * User Interface:
    - added support for CEGUI 0.8
    - removed support dor CEGUI 0.7

    * Graphics:
    - added support for Ogre 1.9

    * Translation:
    - spanish translation greatly updated

    * Sound and Music:
    - sound engine reworked
    - added sounds for the GUI
    - added gameplay sounds

    * General:
    - fixed a number of bugs
    - Poco dependency replaced with Boost

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 27 Jan 2015 19:20:40 +0100

sumwars (0.5.7-1~getdeb8~utopic) utopic; urgency=medium

  * Rebuild for utopic

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 28 Oct 2014 20:34:21 +0100

sumwars (0.5.7-1~getdeb7~trusty) trusty; urgency=low

  * Rebuild for trusty

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 06 Apr 2014 20:30:34 +0200

sumwars (0.5.7-1~getdeb6~saucy) saucy; urgency=low

  * Rebuild for saucy.

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 14 Oct 2013 22:07:45 +0200

sumwars (0.5.7-1~getdeb5~raring) raring; urgency=low

  * New upstream version - Not Yet Released
    - 0000002: [Graphics] After minimizing and restoring game in fullscreen
    mode map is broken (fusion44) - resolved.
    - 0000058: [User Interface] Scrolling in Quests zooms screen (fusion44) -
    resolved.
    - 0000063: [Unknown] The AUTHORS file should have utf-8 encoding
    (fusion44) - resolved.
    - 0000075: [Programming] Hero picture in inventory is with the arms
    spread open (dezGusty) - resolved.
    - 0000067: [Programming] On deleting savegame, wrong savegame files
    deleted (dezGusty) - resolved.
    - 0000066: [Build System] Translations installed into wrong directory -
    resolved.
    - 0000051: [Translation] Add missing translation strings, fix existing
    translations (Kulik) - resolved.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 14 Jul 2013 22:55:25 +0200

sumwars (0.5.6-1~getdeb2) quantal; urgency=low

  * Rebuild for quantal

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 20 Oct 2012 15:12:35 +0200

sumwars (0.5.6-1~getdeb1) precise; urgency=low

  * New upstream version (LP: #1009105)

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 06 Jun 2012 17:17:34 +0200

sumwars (0.5.5~svn-r2653-1) unstable; urgency=low

  * Initial release (Closes: #597857).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 1 Nov 2011 10:07:08 +0100

=== debian/control ===
Source: sumwars
Section: games
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: GetDeb Package Ninjas <package.ninjas@getdeb.net>
Build-Depends: debhelper (>= 9),
               cmake (>= 2.6),
               libphysfs-dev (>= 2.0),
               libtinyxml-dev (>= 2.6),
               libalut-dev,
               libopenal-dev,
               libvorbis-dev,
               libenet-dev,
               libogre-1.9-dev (>= 1.9.0), 
               libois-dev,
               libcegui-0.8-dev (>= 0.8.0),
               liblua5.1-0-dev,
               libxrandr-dev,
               libboost-filesystem-dev
Standards-Version: 3.9.6
Homepage: http://www.sumwars.org/

Package: sumwars
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         sumwars-data (= ${source:Version}),
         fonts-dejavu-core (>= 2.33)
Description: Summoning Wars action role-playing game
 Summoning Wars is an open source role-playing game, featuring both a
 single-player and a multiplayer mode for about 2 to 8 players.
 .
 This package contains the binary.

Package: sumwars-data
Architecture: all
Depends: ${misc:Depends}
Recommends: sumwars (= ${source:Version})
Description: Summoning Wars action role-playing game, data files
 Summoning Wars is an open source role-playing game, featuring both a
 single-player and a multiplayer mode for about 2 to 8 players.
 .
 This package contains data needed by the binaries (game data, GUI
 elements, sound, ...).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE:STRING="Release" \
		-DSUMWARS_NO_TINYXML:BOOL=ON \
		-DSUMWARS_NO_ENET:BOOL=ON \
		-DSUMWARS_BUILD_TOOLS:BOOL=OFF \
		-DSUMWARS_EXECUTABLE_DIR:STRING="games" \
		-DSUMWARS_SHARE_DIR:STRING="share/games/sumwars"

override_dh_auto_install:
	dh_auto_install

	rm -fv debian/tmp/usr/share/games/sumwars/resources/gui/fonts/DejaVu*.ttf
	rm -fv debian/tmp/usr/share/games/sumwars/resources/gui_0.8/fonts/DejaVu*.ttf
	rm -fv debian/tmp/usr/share/games/sumwars/resources/gui/imagesets/License.txt
	rm -fv usr/share/games/sumwars/resources/gui_0.8/imagesets/License.txt

override_dh_install:
	dh_install --list-missing

=== debian/watch ===
version=3
https://bitbucket.org/sumwars/sumwars-code/downloads \
    (?:.*/)?get/([\d\.]+)\.tar\.bz2
